system
Replace system controls
Requires scopes: admin:org
PUT
/
api
/
system
/
controls
Replace system controls
curl --request PUT \
--url https://evalgate.com/api/system/controls \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pii": {
"scrubMode": "drop",
"allowPIIEmbedding": false,
"allowRawStorage": false
},
"externalProviders": {
"allowedProviders": [
"<string>"
],
"allowExternalLLM": false
},
"retention": {
"logs": "custom",
"evalData": "custom",
"customEvalDataDays": 123,
"customLogDays": 123
},
"costAlerts": {
"enabled": false,
"dailyBudgetUsd": 123,
"weeklyBudgetUsd": 123,
"monthlyBudgetUsd": 123
}
}
'import requests
url = "https://evalgate.com/api/system/controls"
payload = {
"pii": {
"scrubMode": "drop",
"allowPIIEmbedding": False,
"allowRawStorage": False
},
"externalProviders": {
"allowedProviders": ["<string>"],
"allowExternalLLM": False
},
"retention": {
"logs": "custom",
"evalData": "custom",
"customEvalDataDays": 123,
"customLogDays": 123
},
"costAlerts": {
"enabled": False,
"dailyBudgetUsd": 123,
"weeklyBudgetUsd": 123,
"monthlyBudgetUsd": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pii: {scrubMode: 'drop', allowPIIEmbedding: false, allowRawStorage: false},
externalProviders: {allowedProviders: ['<string>'], allowExternalLLM: false},
retention: {
logs: 'custom',
evalData: 'custom',
customEvalDataDays: 123,
customLogDays: 123
},
costAlerts: {
enabled: false,
dailyBudgetUsd: 123,
weeklyBudgetUsd: 123,
monthlyBudgetUsd: 123
}
})
};
fetch('https://evalgate.com/api/system/controls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyVersion": "<string>",
"policy": {
"version": "<string>",
"drift": {
"invariants": {
"parityAcrossSurfaces": true,
"deterministicOutputs": true,
"noHardcodedThresholds": true,
"singleSourceOfTruth": true,
"configFullyApplied": true
},
"metrics": {
"minHistory": 123,
"zThresholdWarning": 123,
"zThresholdCritical": 123,
"klDivergenceThreshold": 123,
"outputVarianceThreshold": 123
},
"behavioral": {
"cotUsageDrop": 123,
"cotUsageSpike": 123,
"confidenceDrop": 123,
"confidenceSpike": 123,
"toolSuccessDrop": 123,
"retrievalDrop": 123,
"errorSpike": 123,
"toolUsageChangeDrop": 123
}
},
"pii": {
"enabled": true,
"scrubMode": "drop",
"allowRawStorage": true,
"allowPIIEmbedding": true,
"allowExternalTransfer": true,
"detection": {
"enableRegex": true,
"enableHeuristics": true,
"enableModelAssistance": true,
"minConfidence": 123
},
"maxFalsePositiveRate": 123
},
"externalProviders": {
"allowExternalLLM": true,
"allowedProviders": [
"<string>"
],
"logCalls": true
},
"judges": {
"defaultPresetId": "<string>",
"allowMultiJudge": true,
"allowedModels": [
"<string>"
],
"maxRunCostUsd": 123,
"maxLatencyMs": 123,
"disagreementPolicy": "warn"
},
"retention": {
"evalData": "custom",
"logs": "custom",
"modelCalls": "evidence",
"datasetVersions": "governed",
"experimentResults": "governed",
"copilotMessages": "custom",
"remoteRunnerLogs": "custom",
"customEvalDataDays": 123,
"customLogDays": 123,
"customCopilotMessageDays": 123,
"customRemoteRunnerLogDays": 123
},
"evalgate": {
"clustering": {
"singletonSimilarityScore": 123,
"maxAutoClusters": 123,
"centroidKeywordCount": 123,
"sampleLimitPerCluster": 123
},
"discovery": {
"diversityThreshold": 123,
"maxRedundantPairs": 123
},
"autonomous": {
"datasetAugmentation": {
"maxAugmentationsPerRound": 123,
"minImprovementThreshold": 123,
"diversityThreshold": 123,
"maxTotalAugmentations": 123
}
}
},
"missions": {
"preprocessingBudgetUsd": 123
},
"costAlerts": {
"enabled": true,
"dailyBudgetUsd": 123,
"weeklyBudgetUsd": 123,
"monthlyBudgetUsd": 123
},
"observability": {
"traceCriticalPaths": true,
"logDriftSignals": true,
"logPiiEvents": true,
"requireCorrelationIds": true
},
"accessControl": {
"requireOrgIsolation": true,
"auditAllMutations": true
},
"scoring": {
"weights": {
"passRate": 123,
"safety": 123,
"judgeSchema": 123,
"latencyCost": 123
},
"judgeSchemaSplit": {
"judge": 123,
"schema": 123
},
"latencyCostSplit": {
"latency": 123,
"cost": 123
},
"latencyBands": {
"goodMs": 123,
"badMs": 123
},
"flagThresholds": {
"safetyRisk": 123,
"lowPassRate": 123,
"latencyRisk": 123,
"costRisk": 123
},
"evidenceLevel": {
"strongMinN": 123,
"mediumMinN": 123
}
}
},
"guardrailState": {
"orgIsolationRequired": true,
"auditAllMutations": true,
"correlationIdsRequired": true,
"traceCriticalPaths": true
},
"drift": {
"openAlertCount": 123,
"recentAlerts": [
{
"id": 123,
"evaluationId": 123,
"alertType": "<string>",
"severity": "<string>",
"explanation": "<string>",
"model": "<string>",
"createdAt": "<string>",
"acknowledgedAt": "<string>"
}
]
},
"providers": {
"allowExternalLLM": true,
"allowedProviders": [
"<string>"
],
"recentCalls": [
{
"id": 123,
"action": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"createdAt": "<string>",
"metadata": {}
}
],
"recentBlockedCalls": [
{
"id": 123,
"action": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"createdAt": "<string>",
"metadata": {}
}
]
},
"judges": {
"defaultPresetId": "<string>",
"allowMultiJudge": true,
"allowedModels": [
"<string>"
],
"maxRunCostUsd": 123,
"maxLatencyMs": 123,
"disagreementPolicy": "warn"
},
"pii": {
"scrubMode": "drop",
"allowPIIEmbedding": true,
"allowRawStorage": true,
"recentEvents": [
{
"id": 123,
"action": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"createdAt": "<string>",
"metadata": {}
}
]
},
"retention": {
"policy": {
"evalData": "custom",
"logs": "custom",
"modelCalls": "evidence",
"datasetVersions": "governed",
"experimentResults": "governed",
"copilotMessages": "custom",
"remoteRunnerLogs": "custom",
"customEvalDataDays": 123,
"customLogDays": 123,
"customCopilotMessageDays": 123,
"customRemoteRunnerLogDays": 123
},
"latestSweepAt": "<string>",
"latestSweep": {
"id": 123,
"action": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"createdAt": "<string>",
"metadata": {}
}
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Replace system controls
